# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nhs-number"
version = "0.2.5"
authors = ["Joel Parker Henderson <joel.henderson@wales.nhs.uk>"]
build = false
include = [
    "src/**/*",
    "LICENSE.md",
    "README.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "National Health Service (NHS) number for NHS England, NHS Wales, NHS Isle of Man."
readme = "README.md"
keywords = [
    "GIGCymru",
    "NHSWales",
    "health",
    "iechyd",
]
categories = [
    "science",
    "data-structures",
    "value-formatting",
]
license = "MIT OR Apache-2.0 OR GPL-2.0 OR GPL-3.0 OR BSD-3-Clause"
repository = "https://github.com/GIG-Cymru-NHS-Wales/nhs-number-using-rust/"

[lib]
name = "nhs_number"
path = "src/lib.rs"

[dependencies.rand]
version = "0.9.1"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]
